- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GAuth::SaslClientImp Class Reference

A private pimple-pattern implementation class used by GAuth::SaslClient. More...

## Public Member Functions
| SaslClientImp (const SaslClient::Secrets &)

## Static Public Member Functions
static std::string | clientResponse (const std::string &secret, const std::string &challenge, bool cram, bool &error)
static std::string | digest (const std::string &secret, const std::string &challenge)
static std::string | cramDigest (const std::string &secret, const std::string &challenge)

## Public Attributes
const SaslClient::Secrets & | m_secrets

## Detailed Description

A private pimple-pattern implementation class used by GAuth::SaslClient.

Definition at line 40 of file gsaslclient_native.cpp.

## Constructor & Destructor Documentation

GAuth::SaslClientImp::SaslClientImp | ( | const SaslClient::Secrets & | secrets | ) |
| explicit

Definition at line 53 of file gsaslclient_native.cpp.

## Member Function Documentation

std::string GAuth::SaslClientImp::clientResponse | ( | const std::string & | secret,
|  | const std::string & | challenge,
|  | bool | cram,
|  | bool & | error
| ) |  |
| static

Definition at line 58 of file gsaslclient_native.cpp.

References G_DEBUG.

Referenced by GAuth::SaslClient::response().

std::string GAuth::SaslClientImp::cramDigest | ( | const std::string & | secret,
|  | const std::string & | challenge
| ) |  |
| static

Definition at line 75 of file gsaslclient_native.cpp.

References G::Md5::hmac(), and G::Md5::printable().

std::string GAuth::SaslClientImp::digest | ( | const std::string & | secret,
|  | const std::string & | challenge
| ) |  |
| static

Definition at line 80 of file gsaslclient_native.cpp.

References G::Md5::digest(), and G::Md5::printable().

## Member Data Documentation

const SaslClient::Secrets& GAuth::SaslClientImp::m_secrets

Definition at line 43 of file gsaslclient_native.cpp.

The documentation for this class was generated from the following file:

- gsaslclient_native.cpp